$(function(){

	
var updateEdu = function(data){
	$.get("/ajax/edu/" + data, function($data) {
		if ($data.success) {
			$info = $data.data;
			$("#year").val($info.year ? $info.year : "");
			$("#school").val($info.school ? $info.school : "");
			$("#college").val($info.college ? $info.college : "");
			$("#major").val($info.major ? $info.major : "");
			$("#degree").val($info.degree ? $info.degree : "");
			$("#eduId").val(data);
			if($info.student){
				$("input[name='student'][value='1']").attr("checked","checked");
			}else{
				$("input[name='student'][value='0']").attr("checked","checked");
			}
			
		} else {
			alert($data.msg);
		}
	});
}
var delEdu = function(data){
	$.ajax({
		"url" : "/ajax/edu/" + data,
		"type" : "DELETE",
		"success" : function($data) {
			if ($data.success) {
				location.reload(true);
			} else {
				alert($data.msg);
			}
		}
	});
}

var updateTimeJob = function(data){
	$.get("/ajax/job/" + data, function($data) {
		if ($data.success) {
			$info = $data.data;
			$("#jobId").val(data);
			$("#startMonth").val($info.startMonth);
			$("#stopMonth").val($info.stopMonth ? $info.stopMonth: "");
			$("#jobCompany").val($info.company ? $info.company: "");
			$("#jobTitle").val($info.title ? $info.title: "");
		} else {
			alert($data.msg);
		}
	});
}
var delTimeJob = function(data){
	$.ajax({
		"url" : "/ajax/job/" + data,
		"type" : "DELETE",
		"success" : function($data) {
			if ($data.success) {
				location.reload(true);
			} else {
				alert($data.msg);
			}
		}
	});
}

var updateProject = function(data){
	$.get("/ajax/project/" + data,function($data) {
		if ($data.success) {
			$info = $data.data;
			$("#projectStartMonth").val($info.startMonth ? $info.startMonth: "");
			$("#projectStopMonth").val($info.stopMonth ? $info.stopMonth: "");
			$("#projectName").val($info.name ? $info.name: "");
			$("#projectDescp").val($info.descp ? $info.descp: "");
			$("#projectId").val(data);
		} else {
			alert($data.msg);
		}
	});
}
var delProject = function(data){
	$.ajax({
		"url" : "/ajax/project/" + data,
		"type" : "DELETE",
		"success" : function($data) {
			if ($data.success) {
				location.reload(true);
			} else {
				alert($data.msg);
			}
		}
	});
}

var updatePaper = function(data){
	$.get("/ajax/paper/" + data, function($data) {
		if ($data.success) {
			$info = $data.data;
			$("#paperYear").val($info.year ? $info.year : "");
			$("#paperName").val($info.name ? $info.name : "");
			$("#paperUrl").val($info.url ? $info.url : "");
			$("#paperDescp").val($info.descp ? $info.descp : "");
			$("#paperId").val(data);
		} else {
			alert($data.msg);
		}
	});
}
var delPaper = function(data){
	$.ajax({
		"url" : "../ajax/paper/" + data,
		"type" : "DELETE",
		"success" : function($data) {
			if ($data.success) {
				location.reload(true);
			} else {
				alert($data.msg);
			}
		}
	});
}

var updatePatent = function(data){
	$.get("/ajax/patent/" + data, function($data) {
		if ($data.success) {
			$info = $data.data;
			$("#patentYear").val($info.year ? $info.year : "");
			$("#patentName").val($info.name ? $info.name : "");
			$("#patentUrl").val($info.url ? $info.url : "");
			$("#patentDescp").val($info.descp ? $info.descp : "");
			$("#patentId").val(data);
		} else {
			alert($data.msg);
		}
	});
}
var delPatent = function(data){
	$.ajax({
		"url" : "/ajax/patent/" + data,
		"type" : "DELETE",
		"success" : function($data) {
			if ($data.success) {
				location.reload(true);
			} else {
				alert($data.msg);
			}
		}
	});
}

var updateHonor = function(data){
	$.get("/ajax/honor/" + data, function($data) {
		if ($data.success) {
			$info = $data.data;
			$("#honorYear").val($info.year ? $info.year : "");
			$("#honorName").val($info.name ? $info.name : "");
			$("#honorDescp").val($info.descp ? $info.descp : "");
			$("#honorId").val(data);
		} else {
			alert($data.msg);
		}
	});
}
var delHonor = function(data){
	$.ajax({
		"url" : "/ajax/honor/" + data,
		"type" : "DELETE",
		"success" : function($data) {
			if ($data.success) {
				location.reload(true);
			} else {
				alert($data.msg);
			}
		}
	});
}



$("#saveProfessor").on("click",function () {
	var $data = {};
	$data.name = $("#name").val();
	$data.orgId = $("#orgId").val();
	$data.orgName = $("#orgName").val();
	$data.title = $("#title").val();
	$data.department = $("#department").val();
	var userid = $.cookie("userid");
	if (userid) {
		$data.id = userid;
	}
	$.ajax({"url" : "../ajax/professor",
		"type" : userid ? "PUT" : "POST",
		"success" : function(rdata) {
			console.log(rdata);
			if (rdata.success) {
				if (userid) {
					location.reload(true);
				} else {
					location.href = "information.html?id="+ rdata.data;
				}
			} else {
				alert(rdata.msg);
			}
		},
		"data" : userid ? JSON.stringify($data) : $data,
		"contentType" : userid ? "application/json": "application/x-www-form-urlencoded",
		dataType : "json"
	});
})



/*ͷ񶯻*/
$(".head-left").hover(function(){
	$(".replace-photo").animate({"bottom":"0px"});						   						   
	},function(){
	$(".replace-photo").animate({"bottom":"-50px"});	
})
/*רϢ󵼺л*/
$(".subsidebar").click(function(){
	$(this).addClass("subcolor").siblings().removeClass("subcolor");						  
});
/*ָλ*/
$(".subsidebar").click(function(){
	var index=$(this).index()-1;
	var offset=$(".introduction").eq(index).offset();
	$("body").animate({ 
		scrollTop:offset.top-80 //bodyscrollToppostopʵ˹ 
		},1000); 
	})


/*༭ǩɫ*/
$("#container .edit").hover(function(){
	$(this).addClass("edit-position-left")	
	},function(){
	$(this).removeClass("edit-position-left")			
		});
/*༭*/
$("#container .edit").click(function(){
	var edit =$(".edit").index(this);
	$(".right-title span").eq(edit-1).css("color","#3e3e3e");
	$(".infor-browse").eq(edit).hide();
	$(".modifybox").eq(edit).show();
	/*ȡ޸*/
	$(".close").click(function(){
	$(".modifybox").eq(edit).hide();
	$(".infor-browse").eq(edit).show();
	
	});
						  

/*ѧ*/
$("#subjectAdd").click(function(){
	var val=$("#subject").val();
	$("#subjectList").append("<div class='acad'>"+ val +"<span class='remove'><img src='images/move.png'></span></div>")							
	})
/*ɾѧ*/
$("#subjectList").on("click",".remove",function(){
	$(this).parent().remove();
	})
/*ҵ*/
$("#industryAdd").click(function(){
	var val=$("#industry").val();
	$("#industryList").append("<div class='acad'>"+ val +"<span class='remove'><img src='images/move.png'></span></div>")							
	})
/*ɾҵ*/
$("#industryList").on("click",".remove",function(){
	$(this).parent().remove();
	})

/*о*/
$("#researchAreaAdd").click(function(){
	var researchArea=$("#researchArea").val();
	$("#researchAreaList").append("<div class='list'><span class='like'>0</span><span class='ra'>"+ researchArea +"</span><span class='remove'><img src='images/move.png'></span></div>")							
	});

 })
$("#researchAreaList").on("click",".remove",function(){
	$(this).parent().remove();
	})		

/*Ӧҵ*/
$("#other").click(function(){
 $(".addbox").toggle();						   
})


/*꾭ʾ޸/ɾͼ*/
$("#eduBgList").on("mouseover mouseout",".eg",function(even){
	if(event.type == "mouseover"){
		$(this).find("span").show();
	 }else if(event.type == "mouseout"){
	   $(this).find("span").hide();
	 }
})
$("#eduBgList").on("click",".eg .modi",function(){
	updateEdu($(this)[0].title);
})
$("#eduBgList").on("click",".eg .remove",function(){
	delEdu($(this)[0].title);
})



/*꾭ʾ޸/ɾͼ*/
$("#timeJobList").on("mouseover mouseout",".tj",function(even){
	if(event.type == "mouseover"){
		$(this).find("span").show();
	 }else if(event.type == "mouseout"){
	   $(this).find("span").hide();
	 }
})

$("#timeJobList").on("click",".tj .modi",function(){
	updateTimeJob($(this)[0].title);
})
$("#timeJobList").on("click",".tj .remove",function(){
	delTimeJob($(this)[0].title);
})

$("#projectList").on("mouseover mouseout",".pro",function(even){
	if(event.type == "mouseover"){
		$(this).find("span").show();
	 }else if(event.type == "mouseout"){
	   $(this).find("span").hide();
	 }
})
$("#projectList").on("click",".pro .modi",function(){
	updateProject($(this)[0].title);
})
$("#projectList").on("click",".pro .remove",function(){
	delProject($(this)[0].title);
})



$("#paperList").on("mouseover mouseout",".pap",function(even){
	if(event.type == "mouseover"){
		$(this).find("span").show();
	 }else if(event.type == "mouseout"){
	   $(this).find("span").hide();
	 }
})
$("#paperList").on("click",".pap .modi",function(){
	updatePaper($(this)[0].title);
})
$("#paperList").on("click",".pap .remove",function(){
	delPaper($(this)[0].title);
})


$("#patentList").on("mouseover mouseout",".pat",function(even){
	if(event.type == "mouseover"){
		$(this).find("span").show();
	 }else if(event.type == "mouseout"){
	   $(this).find("span").hide();
	 }
})
$("#patentList").on("click",".pat .modi",function(){
	updatePatent($(this)[0].title);
})
$("#patentList").on("click",".pat .remove",function(){
	delPatent($(this)[0].title);
})

$("#honorList").on("mouseover mouseout",".hon",function(even){
	if(event.type == "mouseover"){
		$(this).find("span").show();
	 }else if(event.type == "mouseout"){
	   $(this).find("span").hide();
	 }
})
$("#honorList").on("click",".hon .modi",function(){
	updateHonor($(this)[0].title);
})
$("#honorList").on("click",".hon .remove",function(){
	delHonor($(this)[0].title);
})



/*ɾб
$(".remove").click(function(){
	$(this).parent().remove();
	})*/
/*ť*/
$(".present").click(function(){
	var date = $(".present").index(this);
	$(".datebox").eq(date).find(".ago").remove();
	$(".datebox").eq(date).css("width","326px");
	})

/*ģSelectѡ*/
 $(".input_select").click(function(){ 
      var ul = $(this).next();
      if(ul.css("display")=="none"){ 
        ul.slideDown("fast");
      }else{ 
        ul.slideUp("fast"); 
      } 
    });
     
    $(".divselect ul li a").click(function(){ 
      var txt = $(this).text(); 
      $(".divselect .input_select").val(txt); 
      var value = $(this).attr("rel"); 
      $(".divselect ul").hide(); 
      
    }); 

	

})

/**/
$(document).ready(function() {
	$('#year').daterangepicker({
		singleDatePicker: true
	},
	function(start, end, label) {
		console.log(start.toISOString(), end.toISOString(), label);
	});
	$('#startMonth').daterangepicker({
		singleDatePicker: true
	},
	function(start, end, label) {
		console.log(start.toISOString(), end.toISOString(), label);
	});
	$('#stopMonth').daterangepicker({
		singleDatePicker: true
	},
	function(start, end, label) {
		console.log(start.toISOString(), end.toISOString(), label);
	});
	$('#projectStartMonth').daterangepicker({
		singleDatePicker: true
	},
	function(start, end, label) {
		console.log(start.toISOString(), end.toISOString(), label);
	});
	$('#projectStopMonth').daterangepicker({
		singleDatePicker: true
	},
	function(start, end, label) {
		console.log(start.toISOString(), end.toISOString(), label);
	});

	$('#paperYear').daterangepicker({
		singleDatePicker: true
	},
	function(start, end, label) {
		console.log(start.toISOString(), end.toISOString(), label);
	});
	$('#patentYear').daterangepicker({
		singleDatePicker: true
	},
	function(start, end, label) {
		console.log(start.toISOString(), end.toISOString(), label);
	});
	
	$('#honorYear').daterangepicker({
		singleDatePicker: true
	},
	function(start, end, label) {
		console.log(start.toISOString(), end.toISOString(), label);
	});
});